View Issue Details

IDProjectCategoryView StatusLast Update
0001668SUMoBugpublic2012-08-23 09:39
ReporterbyteheadAssigned ToKyle_Katarn 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntel x64OSWindows 7OS VersionUltimate x64 SP1
Product Version3.4 
Target VersionFixed in Version3.4.4 
Summary0001668: SUMo gets confused by file system redirector under Win x64
DescriptionWhen scanning, SUMo tries to open some files directly from %WinDir%/system32 folder (e.g. components of FFDShow and Adobe Flash). Being a native 32-bit process, actually it gets served with a %WinDir%/SysWOW64 content under Windows x64 OS. That's why it doesn't report those DLLs in the list as being 64-bit, misleadingly showing as if the files it has probed belong to %WinDir%/system32.

Tech details:
1) http://support.microsoft.com/kb/942589
2) http://msdn.microsoft.com/en-us/library/aa365743.aspx

even more is here:
3) http://msdn.microsoft.com/en-us/library/aa384249%28v=vs.85%29

Part of solution for Delfi 7 (are we on WOW64?):
http://stackoverflow.com/questions/2863931/problems-reading-registry-from-delphi-7-on-windows-7-64-bit

P.S. Registry parsing code for WOW64 case might also need to be changed.
Steps To ReproduceSee attached screenshots for prove:

Case A:
=======

I have parallel 32/64-bit installations of FFDShow (both of v1.2.4461). Their 32/64-bit flavors of ff_vfw.dll component originally live under %WinDir%/SysWOW64 and %WinDir%/system32 respectively.

Screenshot 1:

SUMo lists only one instance of ff_vfw.dll under c:\windows\systems32 and "fails" to recognize it as 64-bit. The item from c:\windows\syswow64 (really 32-bit this time) is considered a full duplicate and therefore gets dropped (a separate issue);

Screenshot 2:

Then I copied these dlls into c:\program files and renamed them to ff_vfw_x32.exe / ff_vfw_x64.exe for SUMo to be able to scan them and me to easily tell them apart. Rescan --> RESULT: both dlls (albeit shown as .exe here) are properly recognized by SUMo as 32/64 bit ones!

Case B:
=======

I also happen to have parallel 32/64-bit installations of Flash (both of v11.3.300.270) for IE and FF.

Screenshots 3 & 4:

As you can see, again only c:\windows\systems32 components are listed and not "recognized" as 64-bit. As in case A, real 32-bit variants get cancelled out as duplicates.

CONCLUSIONS:
============

1) SUMo is not aware of file system redirection under Win x64 and *always* parses 32-bit components from SysWOW64, *thinking* it is from system32 actually;

2) File paths are not taken into account by duplicate items filter in the list, which effectively hides all other copies of the same app/component (another bug report pending).
TagsNo tags attached.

Relationships

parent of 0001662 resolvedKyle_Katarn Adobe Flash Player for IE/FF 64bits not detected 
parent of 0001582 resolvedKyle_Katarn SUMO does not detect 64bit Adobe Flash Player plugins 
parent of 0001584 resolvedKyle_Katarn SUMO does not detect both 32bit + 64bit java instalation - mutualy excluding items 
parent of 0001607 resolvedKyle_Katarn General detection troubles with parallel 32/64bit application, with mutual exclusion 
related to 0001708 resolvedKyle_Katarn Ffdshow incomplete detection on 64bits systems 

Activities

bytehead

2012-08-08 19:58

reporter  

scr1_ff32+64_before.png (57,374 bytes)
scr1_ff32+64_before.png (57,374 bytes)

bytehead

2012-08-08 19:59

reporter  

scr2_ff32+64_after.png (81,659 bytes)
scr2_ff32+64_after.png (81,659 bytes)

bytehead

2012-08-08 20:00

reporter  

scr3_flash32+64.png (56,990 bytes)
scr3_flash32+64.png (56,990 bytes)

bytehead

2012-08-08 20:00

reporter  

scr4_flash32+64.png (55,595 bytes)
scr4_flash32+64.png (55,595 bytes)

bytehead

2012-08-08 20:14

reporter  

SUMo_DB+log.zip (129,726 bytes)

bytehead

2012-08-08 20:15

reporter   ~0001049

Sorry for big screens ;)

poutnikg

2012-08-08 20:38

reporter   ~0001050

Last edited: 2012-08-08 20:40

View 2 revisions

I have expressed in the past such a redirection concern,
as author of Autocompress utility ( conditional NTFS file compression )
addressed the issue by a special compilation flag
for 32bit application to access true system32 folder.

But as non programmer, I could not tell any details.

http://www.kcsoftwares.com/forum/viewtopic.php?f=11&t=129

bytehead

2012-08-08 20:55

reporter   ~0001051

That flag make sense only for modern MS Visual Studio compilers, not ancient 32-bit only Delfi 7 (which SUMo is built on, afaik).

Kyle_Katarn

2012-08-08 21:45

administrator   ~0001056

You're right.
SUMo already uses
"Wow64EnableWow64FsRedirection" & "Wow64DisaableWow64FsRedirection" API to work on 64Bits OS but it seems to be not so efficient.

I also have some automatic path rewriting procedures (see "fix" lines in log after a scan in verbose mode) but this is an ugly workaround.

I'll probably send you a test build soon.

bytehead

2012-08-08 22:23

reporter   ~0001058

From the MSDN article:

1) about Wow64DisableWow64FsRedirection:

>> The Wow64DisableWow64FsRedirection / Wow64RevertWow64FsRedirection function pairing is a *replacement* for the functionality of the Wow64EnableWow64FsRedirection function.

>> Minimum supported client:
        Windows Vista, *Windows XP Professional x64 Edition*;
>> Minimum supported server:
        Windows Server 2008, Windows Server 2003 with SP1.

2) about Wow64EnableWow64FsRedirection

>> Minimum supported client:
    Windows Vista;
>> Minimum supported server:
    Windows Server 2003.

Does this mean Wow64EnableWow64FsRedirection is not supported under Win XP x64?

Kyle_Katarn

2012-08-08 22:39

administrator   ~0001060

I should use Wow64DisableWow64FsRedirection & Wow64RevertWow64FsRedirection instead

bytehead

2012-08-09 18:30

reporter  

loading on start-up.png (43,147 bytes)
loading on start-up.png (43,147 bytes)

bytehead

2012-08-09 18:31

reporter  

scanning.png (46,396 bytes)
scanning.png (46,396 bytes)

bytehead

2012-08-09 18:31

reporter  

loading_after_scan.png (43,370 bytes)
loading_after_scan.png (43,370 bytes)

bytehead

2012-08-09 18:33

reporter  

checking.png (44,625 bytes)
checking.png (44,625 bytes)

bytehead

2012-08-09 18:47

reporter   ~0001071

Last edited: 2012-08-09 18:49

View 2 revisions

>> SUMo already uses "Wow64EnableWow64FsRedirection" & "Wow64DisaableWow64FsRedirection" API to work on 64Bits OS but it seems to be not so efficient.

According to MSDN:
"Disabling file system redirection affects only operations made by the current thread. Some functions, such as CreateProcessAsUser, do their work on another thread, which is not affected by the state of file system redirection in the calling thread."

I noticed SUMo uses an extra thread (its own, apart from attached system dlls) when scanning or loading (checking uses only 1 own thread). Could it be that redirection API is used on the wrong one which makes it "inefficient"?

P.S. added screenshots from Process Hacker.

bytehead

2012-08-09 19:10

reporter   ~0001072

AFAII, one can simply use %windir%\Sysnative instead of %windir%\System32 under WOW64 on Vista and later. So, redirection API is needed only on Windows Server 2003 x64 and Windows XP x64. Am I correct?

Kyle_Katarn

2012-08-09 23:55

administrator   ~0001076

You're right. To be tested.

bytehead

2012-08-15 14:11

reporter   ~0001116

any news?

Kyle_Katarn

2012-08-15 14:33

administrator   ~0001117

Not tested so far (i was focused on 3.4.2 issues)

Kyle_Katarn

2012-08-20 23:23

administrator   ~0001158

Would you please download test build 171 ( http://www.kcsoftwares.com/beta/sumo_sysnative.exe ) and tell me if it improved the situation ?

bytehead

2012-08-21 03:50

reporter   ~0001160

Last edited: 2012-08-21 03:58

View 3 revisions

Yes, it did improve, but there's a mess with usage of sysnative / system32 /sysWOW64 strings in the proper context (see my test screenshots and error log).

"Sysnative" should not be exposed to end user as a real folder.

Flash 32/64 is shown as 3 diff. items instead of 2.

bytehead

2012-08-21 03:53

reporter  

errlst_TEST.txt (62,699 bytes)
C:\Windows\sysnative\Bubbles.scr | Microsoft product support disabled (Bubbles Screen Saver (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\sysnative\Mystify.scr | Microsoft product support disabled (Mystify Screen Saver (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\sysnative\PhotoScreensaver.scr | Microsoft product support disabled (Photos Screen Saver (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\sysnative\Ribbons.scr | Microsoft product support disabled (Ribbons Screen Saver (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\sysnative\scrnsave.scr | Microsoft product support disabled (Blank Screen Saver (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Windows\sysnative\ssText3d.scr | Microsoft product support disabled (3D Text Screen Saver (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\SysWOW64\Bubbles.scr | Microsoft product support disabled (Bubbles Screen Saver / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\SysWOW64\Mystify.scr | Microsoft product support disabled (Mystify Screen Saver / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\SysWOW64\PhotoScreensaver.scr | Microsoft product support disabled (Photos Screen Saver / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\SysWOW64\Ribbons.scr | Microsoft product support disabled (Ribbons Screen Saver / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\SysWOW64\scrnsave.scr | Microsoft product support disabled (Blank Screen Saver / Microsoft Corporation / 6.1.7600.16385 )
C:\Windows\SysWOW64\ssText3d.scr | Microsoft product support disabled (3D Text Screen Saver / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\system32\control.exe | Microsoft product support disabled (Windows Control Panel / Microsoft Corporation / 6.1.7600.16385 )
C:\Windows\system32\magnify.exe | Microsoft product support disabled (Microsoft Screen Magnifier / Microsoft Corporation / 6.1.7600.16385 )
C:\Windows\system32\narrator.exe | Microsoft product support disabled (Narrator / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\system32\osk.exe | Microsoft product support disabled (Accessibility On-Screen Keyboard / Microsoft Corporation / 6.1.7600.16385 )
C:\Windows\system32\cmd.exe | Microsoft product support disabled (Windows Command Processor / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\system32\notepad.exe | Microsoft product support disabled (Notepad / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Internet Explorer\iexplore.exe | Microsoft product support disabled (Internet Explorer (64 bits) / Microsoft Corporation / 9.0.8112.16448 )
C:\Windows\system32\eudcedit.exe | Microsoft product support disabled (Private Character Editor / Microsoft Corporation / 6.1.7601.17514 )
C:\Windows\explorer.exe | Microsoft product support disabled (Windows Explorer (64 bits) / Microsoft Corporation / 6.1.7601.17567 )
C:\Users\The Passenger\AppData\Local\Battle for Wesnoth 1.10.3\wesnoth.exe | Empty / Invalid version (wesnoth /  /  )
C:\Users\The Passenger\AppData\Local\Battle for Wesnoth 1.10.3\wesnothd.exe | Empty / Invalid version (wesnothd /  /  )
C:\Users\The Passenger\AppData\Local\Battle for Wesnoth 1.10.3\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\Bos Wars\boswars.exe | Empty / Invalid version (boswars /  /  )
C:\Program Files (x86)\Bos Wars\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\Dexpot\uninstall.exe | Installer / Uninstaller (Installer for Dexpot / Dexpot GbR / 1.6.1.0 )
C:\Windows\sysnative\rundll32.exe | Microsoft product support disabled (Windows host process (Rundll32) (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\Essentials Codec Pack\uninst.exe | Empty / Invalid version (uninst /  /  )
C:\Program Files (x86)\Internet Explorer\iexplore.exe | Microsoft product support disabled (Internet Explorer / Microsoft Corporation / 9.0.8112.16448 )
C:\Program Files (x86)\IrfanView\iv_uninstall.exe | Installer / Uninstaller (IrfanView Uninstaller / Irfan Skiljan, IrfanView / 1.2.1.0 )
C:\Users\The Passenger\AppData\Local\Kartina.TV\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files\MediaTab\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Users\The Passenger\AppData\Roaming\Microsoft\Installer\{42F396A6-1A62-4EB8-8415-C20A209B4670}\_C3581A174EC0F8D01B4A80.exe | File not found (_C3581A174EC0F8D01B4A80 /  / File not found )
C:\Program Files (x86)\Proun\Proun.exe | Empty / Invalid version (Proun /  /  )
C:\Program Files (x86)\Proun\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\qemu\qemu-uninstall.exe | Empty / Invalid version (qemu-uninstall /  /  )
C:\Program Files (x86)\RMPrepUSB\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\totalcmd\TCUNIN64.EXE | Empty / Invalid version (TCUNIN64 (64 bits) /  /  )
C:\Program Files\Unlocker\uninst.exe | Empty / Invalid version (uninst /  /  )
C:\Program Files (x86)\VirusTotalUploader2\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\VirusTotalUploader2\VirusTotalUpload2.exe | Empty / Invalid version (VirusTotalUpload2 /  /  )
C:\Program Files (x86)\AC3Filter\ac3config.exe | Empty / Invalid version (ac3config /  /  )
C:\Program Files\Microsoft Security Client\msseces.exe | Microsoft product support disabled (Microsoft Security Client (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Windows\sysnative\cmd.exe | Microsoft product support disabled (Windows Command Processor (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files (x86)\Foldit\Foldit.exe | Empty / Invalid version (Foldit /  /  )
C:\Users\The Passenger\Downloads\_GAMES\Poolians\Poolians.exe | Empty / Invalid version (Poolians /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\pythonw.exe | Empty / Invalid version (pythonw /  /  )
C:\Program Files (x86)\Medieval Software\Medieval CUE Splitter\CUE_Splitter.exe | Empty / Invalid version (CUE_Splitter /  /  )
C:\Windows\sysnative\control.exe | Microsoft product support disabled (Windows Control Panel (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\AC3Filter\spdif_test.exe | Empty / Invalid version (spdif_test /  /  )
C:\Program Files (x86)\AC3Filter\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.49.0.0 )
C:\Program Files (x86)\AC3Filter\x64\ac3config.exe | Empty / Invalid version (ac3config (64 bits) /  /  )
C:\Program Files (x86)\AC3Filter\x64\spdif_test.exe | Empty / Invalid version (spdif_test (64 bits) /  /  )
C:\Program Files (x86)\Alternative Flash Player Auto-Updater\Installer\install_flash_player_64bit.exe | Empty / Invalid version (install_flash_player_64bit /  /  )
C:\Program Files (x86)\Alternative Flash Player Auto-Updater\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Artweaver Free 3.0\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files (x86)\Artweaver Free 3.0\Updater\UPU.exe | Empty / Invalid version (UPU /  /  )
C:\Program Files (x86)\Aurora\maintenanceservice.exe | Installer / Uninstaller (Aurora / Mozilla Foundation / 16.0.0.4615 )
C:\Program Files (x86)\Aurora\maintenanceservice_installer.exe | Installer / Uninstaller (Mozilla Maintenance Service Installer / Mozilla Foundation / 16.0 )
C:\Program Files (x86)\Aurora\uninstall\helper.exe | Installer / Uninstaller (Aurora / Mozilla Foundation / 16.0 )
C:\Program Files (x86)\Aurora\webapp-uninstaller.exe | Installer / Uninstaller (Mozilla Webapp Runtime App Uninstaller / Mozilla Foundation / 16.0 )
C:\Program Files (x86)\Belarc\Advisor\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\Bradbury\TopStyle3\unins000.exe | Installer / Uninstaller (Inno Setup / Jordan Russell. Portions Copyright (C) 2000-2007 Martijn Laan. / 51.48.0.0 )
C:\Program Files (x86)\BurnAware Free\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files (x86)\Calligra\bin\aspell.exe | Empty / Invalid version (aspell /  /  )
C:\Program Files (x86)\Calligra\bin\braindump.exe | Empty / Invalid version (braindump /  /  )
C:\Program Files (x86)\Calligra\bin\bzz.exe | Empty / Invalid version (bzz /  /  )
C:\Program Files (x86)\Calligra\bin\c44.exe | Empty / Invalid version (c44 /  /  )
C:\Program Files (x86)\Calligra\bin\calligra.exe | Empty / Invalid version (calligra /  /  )
C:\Program Files (x86)\Calligra\bin\calligraconverter.exe | Empty / Invalid version (calligraconverter /  /  )
C:\Program Files (x86)\Calligra\bin\calligraflow.exe | Empty / Invalid version (calligraflow /  /  )
C:\Program Files (x86)\Calligra\bin\calligraplan.exe | Empty / Invalid version (calligraplan /  /  )
C:\Program Files (x86)\Calligra\bin\calligraplanwork.exe | Empty / Invalid version (calligraplanwork /  /  )
C:\Program Files (x86)\Calligra\bin\calligrasheets.exe | Empty / Invalid version (calligrasheets /  /  )
C:\Program Files (x86)\Calligra\bin\calligrastage.exe | Empty / Invalid version (calligrastage /  /  )
C:\Program Files (x86)\Calligra\bin\calligrawords.exe | Empty / Invalid version (calligrawords /  /  )
C:\Program Files (x86)\Calligra\bin\cjb2.exe | Empty / Invalid version (cjb2 /  /  )
C:\Program Files (x86)\Calligra\bin\cpaldjvu.exe | Empty / Invalid version (cpaldjvu /  /  )
C:\Program Files (x86)\Calligra\bin\csepdjvu.exe | Empty / Invalid version (csepdjvu /  /  )
C:\Program Files (x86)\Calligra\bin\cstester.exe | Empty / Invalid version (cstester /  /  )
C:\Program Files (x86)\Calligra\bin\cstrunner.exe | Empty / Invalid version (cstrunner /  /  )
C:\Program Files (x86)\Calligra\bin\dbus-daemon.exe | Empty / Invalid version (dbus-daemon /  /  )
C:\Program Files (x86)\Calligra\bin\dbus-launch.exe | Empty / Invalid version (dbus-launch /  /  )
C:\Program Files (x86)\Calligra\bin\ddjvu.exe | Empty / Invalid version (ddjvu /  /  )
C:\Program Files (x86)\Calligra\bin\djvm.exe | Empty / Invalid version (djvm /  /  )
C:\Program Files (x86)\Calligra\bin\djvmcvt.exe | Empty / Invalid version (djvmcvt /  /  )
C:\Program Files (x86)\Calligra\bin\djvudump.exe | Empty / Invalid version (djvudump /  /  )
C:\Program Files (x86)\Calligra\bin\djvuextract.exe | Empty / Invalid version (djvuextract /  /  )
C:\Program Files (x86)\Calligra\bin\djvumake.exe | Empty / Invalid version (djvumake /  /  )
C:\Program Files (x86)\Calligra\bin\djvups.exe | Empty / Invalid version (djvups /  /  )
C:\Program Files (x86)\Calligra\bin\djvused.exe | Empty / Invalid version (djvused /  /  )
C:\Program Files (x86)\Calligra\bin\djvuserve.exe | Empty / Invalid version (djvuserve /  /  )
C:\Program Files (x86)\Calligra\bin\djvutoxml.exe | Empty / Invalid version (djvutoxml /  /  )
C:\Program Files (x86)\Calligra\bin\djvutxt.exe | Empty / Invalid version (djvutxt /  /  )
C:\Program Files (x86)\Calligra\bin\djvuxmlparser.exe | Empty / Invalid version (djvuxmlparser /  /  )
C:\Program Files (x86)\Calligra\bin\drkonqi.exe | Empty / Invalid version (drkonqi /  /  )
C:\Program Files (x86)\Calligra\bin\glewinfo.exe | Empty / Invalid version (glewinfo /  /  )
C:\Program Files (x86)\Calligra\bin\gsl-histogram.exe | Empty / Invalid version (gsl-histogram /  /  )
C:\Program Files (x86)\Calligra\bin\gsl-randist.exe | Empty / Invalid version (gsl-randist /  /  )
C:\Program Files (x86)\Calligra\bin\gswin32.exe | Empty / Invalid version (gswin32 /  /  )
C:\Program Files (x86)\Calligra\bin\gswin32c.exe | Empty / Invalid version (gswin32c /  /  )
C:\Program Files (x86)\Calligra\bin\icc2ps.exe | Empty / Invalid version (icc2ps /  /  )
C:\Program Files (x86)\Calligra\bin\icclink.exe | Empty / Invalid version (icclink /  /  )
C:\Program Files (x86)\Calligra\bin\icctrans.exe | Empty / Invalid version (icctrans /  /  )
C:\Program Files (x86)\Calligra\bin\jp3d_to_volume.exe | Empty / Invalid version (jp3d_to_volume /  /  )
C:\Program Files (x86)\Calligra\bin\karbon.exe | Empty / Invalid version (karbon /  /  )
C:\Program Files (x86)\Calligra\bin\kbuildsycoca4.exe | Empty / Invalid version (kbuildsycoca4 /  /  )
C:\Program Files (x86)\Calligra\bin\kconfig_compiler.exe | Empty / Invalid version (kconfig_compiler /  /  )
C:\Program Files (x86)\Calligra\bin\kconf_update.exe | Empty / Invalid version (kconf_update /  /  )
C:\Program Files (x86)\Calligra\bin\kde4-config.exe | Empty / Invalid version (kde4-config /  /  )
C:\Program Files (x86)\Calligra\bin\kded4.exe | Empty / Invalid version (kded4 /  /  )
C:\Program Files (x86)\Calligra\bin\kdeinit4.exe | Empty / Invalid version (kdeinit4 /  /  )
C:\Program Files (x86)\Calligra\bin\khc_indexbuilder.exe | Empty / Invalid version (khc_indexbuilder /  /  )
C:\Program Files (x86)\Calligra\bin\khelpcenter.exe | Empty / Invalid version (khelpcenter /  /  )
C:\Program Files (x86)\Calligra\bin\khotnewstuff-upload.exe | Empty / Invalid version (khotnewstuff-upload /  /  )
C:\Program Files (x86)\Calligra\bin\khotnewstuff4.exe | Empty / Invalid version (khotnewstuff4 /  /  )
C:\Program Files (x86)\Calligra\bin\kiconfinder.exe | Empty / Invalid version (kiconfinder /  /  )
C:\Program Files (x86)\Calligra\bin\kioclient.exe | Empty / Invalid version (kioclient /  /  )
C:\Program Files (x86)\Calligra\bin\kioexec.exe | Empty / Invalid version (kioexec /  /  )
C:\Program Files (x86)\Calligra\bin\kioslave.exe | Empty / Invalid version (kioslave /  /  )
C:\Program Files (x86)\Calligra\bin\klauncher.exe | Empty / Invalid version (klauncher /  /  )
C:\Program Files (x86)\Calligra\bin\kmimetypefinder.exe | Empty / Invalid version (kmimetypefinder /  /  )
C:\Program Files (x86)\Calligra\bin\knetattach.exe | Empty / Invalid version (knetattach /  /  )
C:\Program Files (x86)\Calligra\bin\knotify4.exe | Empty / Invalid version (knotify4 /  /  )
C:\Program Files (x86)\Calligra\bin\krita.exe | Empty / Invalid version (krita /  /  )
C:\Program Files (x86)\Calligra\bin\kross.exe | Empty / Invalid version (kross /  /  )
C:\Program Files (x86)\Calligra\bin\ksendbugmail.exe | Empty / Invalid version (ksendbugmail /  /  )
C:\Program Files (x86)\Calligra\bin\ktraderclient.exe | Empty / Invalid version (ktraderclient /  /  )
C:\Program Files (x86)\Calligra\bin\ktrash.exe | Empty / Invalid version (ktrash /  /  )
C:\Program Files (x86)\Calligra\bin\kuiserver.exe | Empty / Invalid version (kuiserver /  /  )
C:\Program Files (x86)\Calligra\bin\kwrapper4.exe | Empty / Invalid version (kwrapper4 /  /  )
C:\Program Files (x86)\Calligra\bin\nepomuk-rcgen.exe | Empty / Invalid version (nepomuk-rcgen /  /  )
C:\Program Files (x86)\Calligra\bin\okular.exe | Empty / Invalid version (okular /  /  )
C:\Program Files (x86)\Calligra\bin\onto2vocabularyclass.exe | Empty / Invalid version (onto2vocabularyclass /  /  )
C:\Program Files (x86)\Calligra\bin\pdffonts.exe | Empty / Invalid version (pdffonts /  /  )
C:\Program Files (x86)\Calligra\bin\pdfimages.exe | Empty / Invalid version (pdfimages /  /  )
C:\Program Files (x86)\Calligra\bin\pdfinfo.exe | Empty / Invalid version (pdfinfo /  /  )
C:\Program Files (x86)\Calligra\bin\pdfseparate.exe | Empty / Invalid version (pdfseparate /  /  )
C:\Program Files (x86)\Calligra\bin\pdftohtml.exe | Empty / Invalid version (pdftohtml /  /  )
C:\Program Files (x86)\Calligra\bin\pdftoppm.exe | Empty / Invalid version (pdftoppm /  /  )
C:\Program Files (x86)\Calligra\bin\pdftops.exe | Empty / Invalid version (pdftops /  /  )
C:\Program Files (x86)\Calligra\bin\pdftotext.exe | Empty / Invalid version (pdftotext /  /  )
C:\Program Files (x86)\Calligra\bin\pdfunite.exe | Empty / Invalid version (pdfunite /  /  )
C:\Program Files (x86)\Calligra\bin\qcatool2.exe | Empty / Invalid version (qcatool2 /  /  )
C:\Program Files (x86)\Calligra\bin\qdbus.exe | Empty / Invalid version (qdbus /  /  )
C:\Program Files (x86)\Calligra\bin\rapper.exe | Empty / Invalid version (rapper /  /  )
C:\Program Files (x86)\Calligra\bin\rasqal-config.exe | Empty / Invalid version (rasqal-config /  /  )
C:\Program Files (x86)\Calligra\bin\realpath.exe | Empty / Invalid version (realpath /  /  )
C:\Program Files (x86)\Calligra\bin\redland-config.exe | Empty / Invalid version (redland-config /  /  )
C:\Program Files (x86)\Calligra\bin\redland-db-upgrade.exe | Empty / Invalid version (redland-db-upgrade /  /  )
C:\Program Files (x86)\Calligra\bin\setuac.exe | Empty / Invalid version (setuac /  /  )
C:\Program Files (x86)\Calligra\bin\solid-hardware.exe | Empty / Invalid version (solid-hardware /  /  )
C:\Program Files (x86)\Calligra\bin\sopranod.exe | Empty / Invalid version (sopranod /  /  )
C:\Program Files (x86)\Calligra\bin\update-mime-database.exe | Empty / Invalid version (update-mime-database /  /  )
C:\Program Files (x86)\Calligra\bin\virtuoso-clr-t.exe | Empty / Invalid version (virtuoso-clr-t /  /  )
C:\Program Files (x86)\Calligra\bin\virtuoso-sample-t.exe | Empty / Invalid version (virtuoso-sample-t /  /  )
C:\Program Files (x86)\Calligra\bin\virtuoso-t.exe | Empty / Invalid version (virtuoso-t /  /  )
C:\Program Files (x86)\Calligra\bin\visualimagecompare.exe | Empty / Invalid version (visualimagecompare /  /  )
C:\Program Files (x86)\Calligra\bin\visualinfo.exe | Empty / Invalid version (visualinfo /  /  )
C:\Program Files (x86)\Calligra\bin\volume_to_jp3d.exe | Empty / Invalid version (volume_to_jp3d /  /  )
C:\Program Files (x86)\Calligra\bin\win_iconv.exe | Empty / Invalid version (win_iconv /  /  )
C:\Program Files (x86)\Calligra\bin\wtpt.exe | Empty / Invalid version (wtpt /  /  )
C:\Program Files (x86)\Calligra\lib\kconf_update_bin\phonon_devicepreference_update.exe | Empty / Invalid version (phonon_devicepreference_update /  /  )
C:\Program Files (x86)\Calligra\lib\kconf_update_bin\phonon_deviceuids_update.exe | Empty / Invalid version (phonon_deviceuids_update /  /  )
C:\Program Files (x86)\Common Files\InstallShield\Engine\6\Intel 32\IKernel.exe | Installer / Uninstaller (InstallShield (R) / InstallShield Software Corporation / 6.31.100.1190 )
C:\Program Files (x86)\Common Files\InstallShield\Professional\RunTime\11\50\Intel32\DotNetInstaller.exe | Installer / Uninstaller (InstallShield (R) / InstallShield Software Corporation / 11.50.0.42618 )
C:\Program Files (x86)\Common Files\InstallShield\Professional\RunTime\11\50\Intel32\ISBEW64.exe | Ignore list (InstallShield (64 bits) / Macrovision Corporation / 11.50.43969.0 )
C:\Program Files (x86)\Common Files\Java\Java Update\jaucheck.exe | Installer / Uninstaller (Java(TM) Update Client Checker / Oracle / 2.1.9.0 )
C:\Program Files (x86)\Common Files\Java\Java Update\jaureg.exe | Installer / Uninstaller (Java(TM) Update Registration / Oracle / 2.1.9.0 )
C:\Program Files (x86)\Common Files\Java\Java Update\jucheck.exe | Installer / Uninstaller (Java(TM) Update Checker / Oracle / 2.1.9.0 )
C:\Program Files (x86)\Common Files\Java\Java Update\jusched.exe | Installer / Uninstaller (Java(TM) Update Scheduler / Oracle / 2.1.9.0 )
C:\Program Files (x86)\Common Files\microsoft shared\ink\pipanel.exe | Microsoft product support disabled (Microsoft Tablet PC Component / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\Common Files\microsoft shared\MSInfo\msinfo32.exe | Microsoft product support disabled (System Information / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files (x86)\Comodo\Dragon\dragon_updater.exe | Empty / Invalid version (dragon_updater /  /  )
C:\Program Files (x86)\Comodo\Dragon\restart_helper.exe | Empty / Invalid version (restart_helper /  /  )
C:\Program Files (x86)\Comodo\Dragon\uninstall.exe | Installer / Uninstaller (Comodo Dragon / COMODO / 21.0.2.0 )
C:\Program Files (x86)\Comodo\Dragon\wow_helper.exe | Empty / Invalid version (wow_helper (64 bits) /  /  )
C:\Program Files (x86)\Dexpot\update\backup_2075\DexControl.exe | Installer / Uninstaller (DexControl / Dexpot GbR / 1.0.0.1 )
C:\Program Files (x86)\Dexpot\update\backup_2075\dexpot.exe | Installer / Uninstaller (Dexpot / Dexpot GbR / 1.05.0099.0 )
C:\Program Files (x86)\Dexpot\update\backup_2075\Dexpot64.exe | Installer / Uninstaller (Dexpot (64 bits) / Dexpot GbR / 1.5.13 )
C:\Program Files (x86)\Dexpot\update\backup_2075\Slideshow.exe | Installer / Uninstaller (Desktop Slideshow / Dexpot GbR / 1.1.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2075\Taskbar Pager.exe | Installer / Uninstaller (Dexpot / Dexpot GbR / 1.5.11.0 )
C:\Program Files (x86)\Dexpot\update\backup_2075\Wallpaper Clock.exe | Installer / Uninstaller (Wallpaper Clock / Dexpot GbR / 1.1.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2101\autodex.exe | Installer / Uninstaller (Also known as dexstart / Dexpot GbR / 1.5.4.0 )
C:\Program Files (x86)\Dexpot\update\backup_2101\DexControl.exe | Installer / Uninstaller (DexControl / Dexpot GbR / 1.1.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2101\dexpot.exe | Installer / Uninstaller (Dexpot / Dexpot GbR / 1.05.0099.0 )
C:\Program Files (x86)\Dexpot\update\backup_2101\MouseEvents.exe | Installer / Uninstaller (MouseEvents / Dexpot GbR / 1.0.0.1 )
C:\Program Files (x86)\Dexpot\update\backup_2101\Slideshow.exe | Installer / Uninstaller (Dexpot / Dexpot GbR / 1.1.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2101\Wallpaper Clock.exe | Installer / Uninstaller (Wallpaper Clock / Dexpot GbR / 1.1.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2106\dexpot.exe | Installer / Uninstaller (Dexpot / Dexpot GbR / 1.6.0.0 )
C:\Program Files (x86)\Dexpot\update\backup_2106\updexer.exe | Installer / Uninstaller (Updexer / Dexpot GbR / 1.2.0.0 )
C:\Program Files (x86)\DrivingSpeed2\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\EMDB\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Essentials Codec Pack\FFDShow\makeAVIS.exe | Empty / Invalid version (makeAVIS /  /  )
C:\Program Files (x86)\ffdshow\makeAVIS.exe | Ignore list (makeAVIS /  / 1.2.4461.0 )
C:\Program Files (x86)\ffdshow\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files (x86)\FileHippo.com\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\Foldit\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\foobar2000\uninstall.exe | Installer / Uninstaller (foobar2000 Installer / foobar2000.org / 1.1.14.0 )
C:\Program Files (x86)\Google\Update\1.3.21.115\GoogleCrashHandler.exe | Installer / Uninstaller (Google Crash Handler / Google Inc. / 1.3.21.115 )
C:\Program Files (x86)\Google\Update\1.3.21.115\GoogleCrashHandler64.exe | Installer / Uninstaller (Google Crash Handler (64 bits) / Google Inc. / 1.3.21.115 )
C:\Program Files (x86)\Google\Update\1.3.21.115\GoogleUpdate.exe | Installer / Uninstaller (Google Installer / Google Inc. / 1.3.21.103 )
C:\Program Files (x86)\Google\Update\1.3.21.115\GoogleUpdateBroker.exe | Installer / Uninstaller (Google Update / Google Inc. / 1.3.21.115 )
C:\Program Files (x86)\Google\Update\1.3.21.115\GoogleUpdateOnDemand.exe | Installer / Uninstaller (Google Update / Google Inc. / 1.3.21.115 )
C:\Program Files (x86)\Google\Update\Download\{2BF2CA35-CCAF-4E58-BAB7-4163BFA03B88}\0.0.0.0\GoogleEarth-Win-Plugin-6.2.2.6613.exe | Installer / Uninstaller (GoogleEarth-Win-Plugin-6.2.2.6613 /  / 5.2.0.0 )
C:\Program Files (x86)\Google\Update\Download\{430FD4D0-B729-4F61-AA34-91526481799D}\1.3.21.115\GoogleUpdateSetup.exe | Installer / Uninstaller (Google Update / Google Inc. / 1.3.21.115 )
C:\Program Files (x86)\Google\Update\GoogleUpdate.exe | Installer / Uninstaller (Google Installer / Google Inc. / 1.3.21.103 )
C:\Program Files (x86)\GRETECH\GomPlayer\GomWiz.exe | Empty / Invalid version (GomWiz /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\GrLauncher.exe | Empty / Invalid version (GrLauncher /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\KillGom.exe | Empty / Invalid version (KillGom /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\RtParser.exe | Empty / Invalid version (RtParser /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\ShellRegister.exe | Empty / Invalid version (ShellRegister /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\srt2smi.exe | Empty / Invalid version (srt2smi /  /  )
C:\Program Files (x86)\GRETECH\GomPlayer\Uninstall.exe | Installer / Uninstaller (GOM Player / Gretech Corp. / 2.1.43.5119 )
C:\Program Files (x86)\Home Media Server\setup.exe | Installer / Uninstaller (������� ����� ������ (UPnP) / Evgeny Lachinov / 1.20.0.0 )
C:\Program Files (x86)\Home Media Server\Transcoders\dvpiper.exe | Empty / Invalid version (dvpiper /  /  )
C:\Program Files (x86)\Home Media Server\Transcoders\flac.exe | Empty / Invalid version (flac /  /  )
C:\Program Files (x86)\Home Media Server\Transcoders\mplex.exe | Empty / Invalid version (mplex /  /  )
C:\Program Files (x86)\Home Media Server\Transcoders\sox.exe | Empty / Invalid version (sox /  /  )
C:\Program Files (x86)\Home Media Server\Transcoders\tsmuxer.exe | Empty / Invalid version (tsmuxer /  /  )
C:\Program Files (x86)\Home Media Server\Transcoders\wvunpack.exe | Empty / Invalid version (wvunpack /  /  )
C:\Program Files (x86)\ImgBurn\uninstall.exe | Installer / Uninstaller (ImgBurn Installer / LIGHTNING UK! / 2.5.7.0 )
C:\Program Files (x86)\InstallShield Installation Information\{0E0DF90C-D0BA-4C89-9262-AD78D1A3DE51}\Setup.exe | Installer / Uninstaller (InstallShield (R) / InstallShield Software Corporation / 6.31.100.1190 )
C:\Program Files (x86)\InstallShield Installation Information\{39DB116F-E088-486F-B13C-8925ECE7A6E5}\setup.exe | Installer / Uninstaller (Setup / Macrovision Corporation / 11.50.42618.0 )
C:\Program Files (x86)\InstallShield Installation Information\{40FEF622-6E0F-46B6-824B-A40C178FD4CD}\setup.exe | Installer / Uninstaller (Setup / Macrovision Corporation / 12.0.49974.0 )
C:\Program Files (x86)\InstallShield Installation Information\{7760D94E-B1B5-40A0-9AA0-ABF942108755}\setup.exe | Installer / Uninstaller (Setup / Macrovision Corporation / 12.0.58855.0 )
C:\Program Files (x86)\InstallShield Installation Information\{EE171732-BEB4-4576-887D-CB62727F01CA}\setup.exe | Installer / Uninstaller (Setup / Acer Incorporated / 1.2.3502.0 )
C:\Program Files (x86)\InstallShield Installation Information\{F132AF7F-7BCA-4EDE-8A7C-958108FE7DBC}\setup.exe | Installer / Uninstaller (Setup / Macrovision Corporation / 11.50.42618.0 )
C:\Program Files (x86)\Intel\Intel(R) Rapid Storage Technology\uninstall\Setup.exe | Installer / Uninstaller (Intel(R) Rapid Storage Technology / Intel Corporation / 1.4.15.0 )
C:\Program Files (x86)\Intel\Intel(R) Rapid Storage Technology\uninstall\x64\Drv64.exe | Installer / Uninstaller (64 bit driver installer (64 bits) / Intel Corporation / 1.4.2.0 )
C:\Program Files (x86)\Internet Explorer\ExtExport.exe | Microsoft product support disabled (Windows� Internet Explorer / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files (x86)\Internet Explorer\iecleanup.exe | Microsoft product support disabled (Windows� Internet Explorer / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files (x86)\Internet Explorer\iediagcmd.exe | Empty / Invalid version (iediagcmd /  /  )
C:\Program Files (x86)\Internet Explorer\ieinstal.exe | Microsoft product support disabled (Windows� Internet Explorer / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files (x86)\Internet Explorer\ielowutil.exe | Microsoft product support disabled (Windows� Internet Explorer / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files (x86)\John Paul Chacha's Lab\Chasys Draw IES\Setup.exe | Installer / Uninstaller (Setup for Chasys Draw IES / John Paul Chacha's Lab / 3.77.1.0 )
C:\Program Files (x86)\KC Softwares\KCleaner\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\KC Softwares\SUMo\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\KC Softwares\SUMo_test\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Kingsoft\Kingsoft Office\office6\cfgs\oeminfo\oem.exe | Empty / Invalid version (oem /  /  )
C:\Program Files (x86)\Kingsoft\Kingsoft Office\office6\WPSGallery.exe | Empty / Invalid version (WPSGallery /  /  )
C:\Program Files (x86)\Kingsoft\Kingsoft Office\utility\uninst.exe | Installer / Uninstaller (Kingsoft Install / Kingsoft Corp. Ltd. / 8.1.0.3020 )
C:\Program Files (x86)\Launch Manager\LManager.EXE | Ignore list (Launch Manager / Dritek System Inc. / 3.0.0.924 )
C:\Program Files (x86)\Launch Manager\LMconfig.exe | Ignore list (LMconfig / Dritek System Inc. / 1.0.0.7 )
C:\Program Files (x86)\Launch Manager\MMDx64Fx.exe | Ignore list (MMDx64Fx (64 bits) / Dritek System Inc. / 1.0.0.828 )
C:\Program Files (x86)\Launch Manager\x64DrvFx.exe | Ignore list (x64DrvFx (64 bits) / Dritek System Inc. / 1.0.1.920 )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\firefox.exe | Empty / Invalid version (firefox /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\iexplore.exe | Empty / Invalid version (iexplore /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\mbam-chameleon.exe | Empty / Invalid version (mbam-chameleon /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\rundll32.exe | Empty / Invalid version (rundll32 /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\svchost.exe | Empty / Invalid version (svchost /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\Chameleon\winlogon.exe | Empty / Invalid version (winlogon /  /  )
C:\Program Files (x86)\Malwarebytes' Anti-Malware\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Microsoft Games for Windows - LIVE\Client\dotNetFx40_Client_setup.exe | Microsoft product support disabled (dotNetFx40_Client_setup / Microsoft Corporation / 4.0.30319.1 )
C:\Program Files (x86)\Microsoft Games for Windows - LIVE\Client\GFWLClient.exe | Microsoft product support disabled (Games for Windows� Marketplace / Microsoft� Corporation / 3.5.50.0 )
C:\Program Files (x86)\Microsoft Games for Windows - LIVE\Client\GFWLive.exe | Microsoft product support disabled (Microsoft� Games for Windows� - LIVE / Microsoft Corporation / 3.5.50.0 )
C:\Program Files (x86)\Microsoft Games for Windows - LIVE\Redist\DirectX\DXSETUP.exe | Installer / Uninstaller (Microsoft DirectX Setup / Microsoft Corporation / 4.9.0.904 )
C:\Program Files (x86)\Microsoft Silverlight\5.1.10411.0\agcp.exe | Microsoft product support disabled (agcp / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files (x86)\Microsoft Silverlight\5.1.10411.0\coregen.exe | Microsoft product support disabled (Microsoft� Silverlight / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files (x86)\Microsoft Silverlight\5.1.10411.0\Silverlight.Configuration.exe | Microsoft product support disabled (Microsoft� Silverlight / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files (x86)\Microsoft Silverlight\sllauncher.exe | Microsoft product support disabled (Microsoft� Silverlight / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files (x86)\Miranda IM\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\MKVtoolnix\uninst.exe | Installer / Uninstaller (MKVToolNix / Moritz Bunkus / 5.7.0.0 )
C:\Program Files (x86)\Monkey's Audio\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Monkey's Audio\Winamp Plugin.exe | Empty / Invalid version (Winamp Plugin /  /  )
C:\Program Files (x86)\Mozilla Maintenance Service\maintenanceservice.exe | Installer / Uninstaller (Aurora / Mozilla Foundation / 16.0.0.4615 )
C:\Program Files (x86)\Mozilla Maintenance Service\Uninstall.exe | Installer / Uninstaller (Mozilla Maintenance Service Installer / Mozilla Foundation / 16.0 )
C:\Program Files (x86)\OpenAL\oalinst.exe | Installer / Uninstaller (OpenAL Installer / Creative Labs Inc. / 2.0.7.0 )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\gengal.exe | Empty / Invalid version (gengal /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\nsplugin.exe | Empty / Invalid version (nsplugin /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\odbcconfig.exe | Empty / Invalid version (odbcconfig /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\bin\python.exe | Empty / Invalid version (python /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\distutils\command\wininst-6.0.exe | Empty / Invalid version (wininst-6.0 /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\distutils\command\wininst-7.1.exe | Empty / Invalid version (wininst-7.1 /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\distutils\command\wininst-8.0.exe | Empty / Invalid version (wininst-8.0 /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\distutils\command\wininst-9.0-amd64.exe | Empty / Invalid version (wininst-9.0-amd64 (64 bits) /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\distutils\command\wininst-9.0.exe | Empty / Invalid version (wininst-9.0 /  /  )
C:\Program Files (x86)\OpenOffice.org 3\Basis\program\senddoc.exe | Empty / Invalid version (senddoc /  /  )
C:\Program Files (x86)\OpenOffice.org 3\program\soffice.exe | Empty / Invalid version (OpenOffice.org / OpenOffice.org / 3.3.9567 )
C:\Program Files (x86)\OpenOffice.org 3\program\soffice.exe | Empty / Invalid version (OpenOffice.org / OpenOffice.org / 3.3.9567 )
C:\Program Files (x86)\OpenOffice.org 3\program\soffice.exe | Empty / Invalid version (OpenOffice.org / OpenOffice.org / 3.3.9567 )
C:\Program Files (x86)\OpenOffice.org 3\program\soffice.exe | Empty / Invalid version (OpenOffice.org / OpenOffice.org / 3.3.9567 )
C:\Program Files (x86)\OpenOffice.org 3\program\soffice.exe | Empty / Invalid version (OpenOffice.org / OpenOffice.org / 3.3.9567 )
C:\Program Files (x86)\OpenOffice.org 3\URE\bin\regcomp.exe | Empty / Invalid version (regcomp /  /  )
C:\Program Files (x86)\OpenOffice.org 3\URE\bin\regmerge.exe | Empty / Invalid version (regmerge /  /  )
C:\Program Files (x86)\OpenOffice.org 3\URE\bin\regview.exe | Empty / Invalid version (regview /  /  )
C:\Program Files (x86)\OpenOffice.org 3\URE\bin\uno.exe | Empty / Invalid version (uno /  /  )
C:\Program Files (x86)\Proun\Exporter\Ogre\OgreXMLConverter.exe | Empty / Invalid version (OgreXMLConverter /  /  )
C:\Program Files (x86)\Proun\VCRedist\vcredist_x86.exe | Installer / Uninstaller (IExpress Setup / Microsoft Corporation / 2.0.50727.5672 )
C:\Program Files (x86)\RBSoft\Right Click Enhancer\uninst.exe | Empty / Invalid version (uninst /  /  )
C:\Program Files (x86)\RMPrepUSB\FREEDOS_USB_BOOT\CHECKPCI.EXE | Empty / Invalid version (CHECKPCI /  /  )
C:\Program Files (x86)\RMPrepUSB\grubinst.exe | Empty / Invalid version (grubinst /  /  )
C:\Program Files (x86)\RMPrepUSB\Mke2fs.exe | Empty / Invalid version (Mke2fs /  /  )
C:\Program Files (x86)\RMPrepUSB\QEMU\qemu-img.exe | Ignore list (QEMU / http://www.qemu.org / 0.15.1.0 )
C:\Program Files (x86)\RMPrepUSB\QEMU\qemu-system-x86_64.exe | Ignore list (QEMU / http://www.qemu.org / 0.15.1.0 )
C:\Program Files (x86)\RMPrepUSB\QEMU\qemu.exe | Ignore list (QEMU / http://www.qemu.org / 0.15.1.0 )
C:\Program Files (x86)\RMPrepUSB\QEMU\sync.exe | Empty / Invalid version (sync /  /  )
C:\Program Files (x86)\RMPrepUSB\SYSLINUX\Syslinux_3.86\syslinux.exe | Empty / Invalid version (syslinux /  /  )
C:\Program Files (x86)\RMPrepUSB\SYSLINUX\Syslinux_4.04\syslinux.exe | Empty / Invalid version (syslinux /  /  )
C:\Program Files (x86)\RMPrepUSB\syslinux.exe | Empty / Invalid version (syslinux /  /  )
C:\Program Files (x86)\RMPrepUSB\touchdrv.exe | Empty / Invalid version (touchdrv /  /  )
C:\Program Files (x86)\RMPrepUSB\weesetup.exe | Empty / Invalid version (weesetup /  /  )
C:\Program Files (x86)\RMPrepUSB\WINPE_EXTRA\showdrive.exe | Empty / Invalid version (showdrive /  /  )
C:\Program Files (x86)\Secunia\PSI\Uninstall.exe | Installer / Uninstaller (Secunia PSI Installer / Secunia / 3.0.0.2004 )
C:\Program Files (x86)\Skype\Updater\Updater.exe | Installer / Uninstaller (Skype Updater Service / Skype Technologies / 5.10.1.44067 )
C:\Program Files (x86)\Space Invaders OpenGL\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\SpeedFan\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\Sublight\Splash.exe | Empty / Invalid version (Splash /  /  )
C:\Program Files (x86)\Sublight\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\SystemRequirementsLab\inteldriver.exe | Empty / Invalid version (inteldriver /  /  )
C:\Program Files (x86)\SystemRequirementsLab\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files (x86)\TeamViewer\Version7\uninstall.exe | Installer / Uninstaller (TeamViewer / TeamViewer / 7.0.13989.0 )
C:\Program Files (x86)\TweakMe!\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files (x86)\Unknown Horizons\Python27\Lib\distutils\command\wininst-6.0.exe | Empty / Invalid version (wininst-6.0 /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\Lib\distutils\command\wininst-7.1.exe | Empty / Invalid version (wininst-7.1 /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\Lib\distutils\command\wininst-8.0.exe | Empty / Invalid version (wininst-8.0 /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\Lib\distutils\command\wininst-9.0-amd64.exe | Empty / Invalid version (wininst-9.0-amd64 (64 bits) /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\Lib\distutils\command\wininst-9.0.exe | Empty / Invalid version (wininst-9.0 /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\python.exe | Empty / Invalid version (python /  /  )
C:\Program Files (x86)\Unknown Horizons\Python27\w9xpopen.exe | Empty / Invalid version (w9xpopen /  /  )
C:\Program Files (x86)\Unknown Horizons\uninst.exe | Empty / Invalid version (uninst /  /  )
C:\Program Files (x86)\VideoLAN\VLC\uninstall.exe | Empty / Invalid version (uninstall /  /  )
C:\Program Files (x86)\Visual BCD\bcdboot.exe | Microsoft product support disabled (Bcdboot utility / Microsoft Corporation / 6.2.8102.0 )
C:\Program Files (x86)\Visual BCD\bcdedit.exe | Microsoft product support disabled (Boot Configuration Data Editor / Microsoft Corporation / 6.2.8102.0 )
C:\Program Files (x86)\Visual BCD\bootsect.exe | Microsoft product support disabled (Boot Sector Manipulation Tool / Microsoft Corporation / 6.2.8102.0 )
C:\Program Files (x86)\VMware\VMware Player\mkisofs.exe | Empty / Invalid version (mkisofs /  /  )
C:\Program Files (x86)\VMware\VMware Player\OVFTool\ovftool.exe | Empty / Invalid version (ovftool (64 bits) /  /  )
C:\Program Files (x86)\Windows Mail\wab.exe | Microsoft product support disabled (Windows Contacts / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files (x86)\Windows Mail\wabmig.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\Windows Mail\WinMail.exe | Microsoft product support disabled (Windows Mail / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\Windows Media Player\setup_wm.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows Media Player\wmlaunch.exe | Microsoft product support disabled (Windows Media Player Launcher / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows Media Player\wmpconfig.exe | Microsoft product support disabled (Windows Media Player Configuration / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows Media Player\WMPDMC.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows Media Player\wmpenc.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files (x86)\Windows Media Player\wmplayer.exe | Microsoft product support disabled (Windows Media Player / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows Media Player\wmprph.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files (x86)\Windows Media Player\wmpshare.exe | Microsoft product support disabled (Microsoft� Windows� Operating System / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files (x86)\Windows NT\Accessories\wordpad.exe | Microsoft product support disabled (Windows Wordpad / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files (x86)\Windows Photo Viewer\ImagingDevices.exe | Microsoft product support disabled (Imaging Devices Control Panel / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files (x86)\Windows Sidebar\sidebar.exe | Microsoft product support disabled (Windows Desktop Gadgets / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files (x86)\WinPcap\Uninstall.exe | Installer / Uninstaller (WinPcap 4.1.2 installer / CACE Technologies, Inc. / 4.1.0.2001 )
C:\Program Files (x86)\WinRAR\Uninstall.exe | Installer / Uninstaller (Uninstall WinRAR / Alexander Roshal / 4.20.0.0 )
C:\Program Files\CCleaner\uninst.exe | Installer / Uninstaller (CCleaner Installer / Piriform Ltd / 2.0.0.0 )
C:\Program Files\Common Files\Microsoft Shared\MSInfo\msinfo32.exe | Microsoft product support disabled (System Information (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files\Common Files\Microsoft Shared\Windows Live\SIGNINOPTIONS.EXE | Microsoft product support disabled (Sign in Options (64 bits) / Microsoft Corporation / 6.500.3165.0 )
C:\Program Files\Common Files\Microsoft Shared\Windows Live\WLIDSVC.EXE | Microsoft product support disabled (Microsoft� Windows Live ID (64 bits) / Microsoft Corporation / 6.500.3165.0 )
C:\Program Files\Common Files\Microsoft Shared\Windows Live\WLIDSVCM.EXE | Microsoft product support disabled (Microsoft� Windows Live ID (64 bits) / Microsoft Corporation / 6.500.3165.0 )
C:\Program Files\Defraggler\uninst.exe | Installer / Uninstaller (Defraggler Installer / Piriform Ltd / 1.0.0.0 )
C:\Program Files\DIFX\8730326CFC0D32D8\DPInst.exe | Installer / Uninstaller (Driver Package Installer (DPInst) (64 bits) / Microsoft Corporation / 2.1.0.0 )
C:\Program Files\DVD Maker\DVDMaker.exe | Microsoft product support disabled (Windows DVD Maker (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\EasyDuplicateFinder\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files\ffdshow\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files\Frieger\OpenWith\uninstall.exe | Installer / Uninstaller (OpenWith Enhanced installer / Greg Frieger / 1.5.0.0 )
C:\Program Files\Intel Corporation\Intel Processor Diagnostic Tool 64Bit\IPDT64.exe | Empty / Invalid version (IPDT64 (64 bits) /  /  )
C:\Program Files\Intel Corporation\Intel Processor Diagnostic Tool 64Bit\vis2Dgfx.exe | Empty / Invalid version (vis2Dgfx /  /  )
C:\Program Files\Intel Corporation\Intel Processor Diagnostic Tool 64Bit\visGFX1.exe | Empty / Invalid version (visGFX1 /  /  )
C:\Program Files\Internet Explorer\iecleanup.exe | Microsoft product support disabled (Windows� Internet Explorer (64 bits) / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files\Internet Explorer\ieinstal.exe | Microsoft product support disabled (Windows� Internet Explorer (64 bits) / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files\Internet Explorer\ielowutil.exe | Microsoft product support disabled (Windows� Internet Explorer (64 bits) / Microsoft Corporation / 9.0.8112.16421 )
C:\Program Files\John Paul Chacha's Lab\Chasys Math\Setup.exe | Installer / Uninstaller (Setup for Chasys Math / John Paul Chacha's Lab / 1.4.1.0 )
C:\Program Files\Media Player Classic - Home Cinema\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files\Microsoft Games\Chess\Chess.exe | Microsoft product support disabled (Executable for Chess Game (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\FreeCell\FreeCell.exe | Microsoft product support disabled (Executable for FreeCell Game (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Hearts\Hearts.exe | Microsoft product support disabled (Executable for Hearts Game (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Mahjong\Mahjong.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Minesweeper\MineSweeper.exe | Microsoft product support disabled (Executable for Minesweeper Game (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Multiplayer\Backgammon\bckgzm.exe | Microsoft product support disabled (Internet Backgammon (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Multiplayer\Checkers\chkrzm.exe | Microsoft product support disabled (Internet Checkers (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Multiplayer\Spades\shvlzm.exe | Microsoft product support disabled (Internet Spades (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Purble Place\PurblePlace.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\Solitaire\Solitaire.exe | Microsoft product support disabled (Executable for Solitaire Game (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Games\SpiderSolitaire\SpiderSolitaire.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Microsoft Security Client\Backup\amd64\setup.exe | Installer / Uninstaller (Microsoft Security Client (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Security Client\MpCmdRun.exe | Microsoft product support disabled (Microsoft Malware Protection (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Security Client\MsMpEng.exe | Microsoft product support disabled (Antimalware Service Executable (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Security Client\msseoobe.exe | Microsoft product support disabled (Microsoft Security Essentials (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Security Client\NisSrv.exe | Microsoft product support disabled (Microsoft Network Realtime Inspection (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Security Client\Setup.exe | Installer / Uninstaller (Microsoft Security Client (64 bits) / Microsoft Corporation / 4.1.204.0 )
C:\Program Files\Microsoft Silverlight\5.1.10411.0\agcp.exe | Microsoft product support disabled (agcp (64 bits) / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files\Microsoft Silverlight\5.1.10411.0\coregen.exe | Microsoft product support disabled (Microsoft� Silverlight (64 bits) / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files\Microsoft Silverlight\5.1.10411.0\Silverlight.Configuration.exe | Microsoft product support disabled (Microsoft� Silverlight (64 bits) / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files\Microsoft Silverlight\sllauncher.exe | Microsoft product support disabled (Microsoft� Silverlight (64 bits) / Microsoft Corporation / 5.1.10411.0 )
C:\Program Files\nfsd\unins000.exe | Installer / Uninstaller (Inno Setup / Jordan Russell. Portions Copyright (C) 2000-2005 Martijn Laan. / 51.42.0.0 )
C:\Program Files\NoVirusThanks\SSDT View (64-bit)\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvcplui.exe | Installer / Uninstaller (NVIDIA Control Panel (64 bits) / NVIDIA Corporation / 3.9.731.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvSmartMaxapp.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host / NVIDIA Corporation / 6.14.10.10001 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvSmartMaxapp64.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host (64 bits) / NVIDIA Corporation / 6.14.10.10001 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvTray.exe | Installer / Uninstaller (NVIDIA Settings (64 bits) / NVIDIA Corporation / 7.17.12.8562 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvvsvc.exe | Installer / Uninstaller (NVIDIA Driver Helper Service, Version (64 bits) / NVIDIA Corporation / 8.17.12.8562 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.1\nvxdsync.exe | Installer / Uninstaller (NVIDIA User Experience Driver Component (64 bits) / NVIDIA Corporation / 8.17.12.8562 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvcplui.exe | Installer / Uninstaller (NVIDIA Control Panel (64 bits) / NVIDIA Corporation / 3.8.812.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvSmartMaxapp.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host / NVIDIA Corporation / 6.14.10.10001 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvSmartMaxapp64.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host (64 bits) / NVIDIA Corporation / 6.14.10.10001 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvTray.exe | Installer / Uninstaller (NVIDIA Settings (64 bits) / NVIDIA Corporation / 7.17.12.8026 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvvsvc.exe | Installer / Uninstaller (NVIDIA Driver Helper Service, Version (64 bits) / NVIDIA Corporation / 8.17.12.8026 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.2\nvxdsync.exe | Installer / Uninstaller (NVIDIA User Experience Driver Component (64 bits) / NVIDIA Corporation / 8.17.12.8026 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\nvcplui.exe | Installer / Uninstaller (NVIDIA Control Panel (64 bits) / NVIDIA Corporation / 4.4.730.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\nvSmartMaxapp.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host / NVIDIA Corporation / 6.14.10.10002 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\nvSmartMaxapp64.exe | Installer / Uninstaller (NVIDIA Smart Maximise Helper Host (64 bits) / NVIDIA Corporation / 6.14.10.10002 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\NVTray.exe | Installer / Uninstaller (NVIDIA Settings (64 bits) / NVIDIA Corporation / 7.17.13.142 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\nvvsvc.exe | Installer / Uninstaller (NVIDIA Driver Helper Service, Version (64 bits) / NVIDIA Corporation / 8.17.13.142 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\nvxdsync.exe | Installer / Uninstaller (NVIDIA User Experience Driver Component (64 bits) / NVIDIA Corporation / 8.17.13.142 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.ControlPanel.4\Setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1002.75.420 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.0\dbInstaller.exe | Installer / Uninstaller (GPU Settings DBInstall (64 bits) / NVIDIA Corporation / 8.17.12.7061 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.0\NvCplSetupInt.exe | Installer / Uninstaller (Setup Launcher / NVIDIA Corporation / 14.0.0.162 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.1\dbInstaller.exe | Installer / Uninstaller (GPU Settings DBInstall (64 bits) / NVIDIA Corporation / 8.17.12.8562 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.2\dbInstaller.exe | Installer / Uninstaller (GPU Settings DBInstall (64 bits) / NVIDIA Corporation / 8.17.12.8026 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.3\dbInstaller.exe | Installer / Uninstaller (GPU Settings DBInstall (64 bits) / NVIDIA Corporation / 8.17.12.9573 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.3\NVCPLSetupInt.exe | Installer / Uninstaller (NVIDIA Package Launcher / NVIDIA Corporation / 1.0.1.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.4\dbInstaller.exe | Installer / Uninstaller (GPU Settings DBInstall (64 bits) / NVIDIA Corporation / 8.17.13.142 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.Driver.4\NVCPLSetupInt.exe | Installer / Uninstaller (NVIDIA Package Launcher / NVIDIA Corporation / 1.0.1.0 )
C:\Program Files\NVIDIA Corporation\Installer2\Display.NVIRUSB.0\NvIRUSB.exe | Installer / Uninstaller (stub32 / NVIDIA Corporation / 4.0.100.1190 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.0\setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.270.54.0 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.1\setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1002.62.312 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.2\setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1000.25.170 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.4\setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1002.46.235 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.5\setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1002.75.420 )
C:\Program Files\NVIDIA Corporation\Installer2\installer.6\Setup.exe | Installer / Uninstaller (NVIDIA Install / NVIDIA Corporation / 2.1002.75.420 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.0\ComUpdatus.exe | Installer / Uninstaller (NVIDIA Update COM object / NVIDIA Corporation / 1.1.34.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.0\daemonu.exe | Installer / Uninstaller (NVIDIA Settings Update Manager / NVIDIA Corporation / 1.1.34.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.0\nvlhr.exe | Installer / Uninstaller (UPDT Application Launcher / NVIDIA Corporation / 1.1.34.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.0\WLMerger.exe | Installer / Uninstaller (NVIDIA Update Components (64 bits) / NVIDIA Corporation / 1.1.34.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.1\ComUpdatus.exe | Installer / Uninstaller (NVIDIA Update COM object / NVIDIA Corporation / 1.8.15.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.1\daemonu.exe | Installer / Uninstaller (NVIDIA Settings Update Manager / NVIDIA Corporation / 1.8.15.0 )
C:\Program Files\NVIDIA Corporation\Installer2\NVIDIA.Update.1\WLMerger.exe | Installer / Uninstaller (NVIDIA Update Components (64 bits) / NVIDIA Corporation / 1.8.15.0 )
C:\Program Files\Oracle\VirtualBox\VBoxBalloonCtrl.exe | Empty / Invalid version (VBoxBalloonCtrl (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxExtPackHelperApp.exe | Empty / Invalid version (VBoxExtPackHelperApp (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxHeadless.exe | Empty / Invalid version (VBoxHeadless (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxManage.exe | Empty / Invalid version (VBoxManage (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxNetDHCP.exe | Empty / Invalid version (VBoxNetDHCP (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxSDL.exe | Empty / Invalid version (VBoxSDL (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxTestOGL.exe | Empty / Invalid version (VBoxTestOGL (64 bits) /  /  )
C:\Program Files\Oracle\VirtualBox\VBoxWebSrv.exe | Empty / Invalid version (VBoxWebSrv (64 bits) /  /  )
C:\Program Files\Pale Moon\uninstall\helper.exe | Installer / Uninstaller (Palemoon / Moonchild Productions / 12.3 )
C:\Program Files\Process Hacker 2\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files\Recuva\uninst.exe | Installer / Uninstaller (Recuva Installer / Piriform Ltd / 1.0.0.0 )
C:\Program Files\Softland\doPDF 7\AMD64\dopdfin7.exe | Installer / Uninstaller (doPDF Installer (64 bits) / Softland / 7.3.379 )
C:\Program Files\Softland\doPDF 7\i386\dopdfin7.exe | Installer / Uninstaller (doPDF Installer / Softland / 7.3.379 )
C:\Program Files\Softland\doPDF 7\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1051.0.0 )
C:\Program Files\Speccy\uninst.exe | Installer / Uninstaller (Speccy Installer / Piriform Ltd / 1.0.0.0 )
C:\Program Files\Startup Delayer\Uninstall.exe | Empty / Invalid version (Uninstall /  /  )
C:\Program Files\Sublime Text 2\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
C:\Program Files\Synaptics\SynTP\InstNT.exe | Ignore list (TouchPad Driver Installation (64 bits) / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\Synaptics\SynTP\SynMood.exe | Ignore list (Synaptics Pointing Device Driver / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\Synaptics\SynTP\SynTPEnh.exe | Ignore list (Synaptics Pointing Device Driver (64 bits) / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\Synaptics\SynTP\SynTPHelper.exe | Ignore list (Synaptics Pointing Device Helper (64 bits) / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\Synaptics\SynTP\SynZMetr.exe | Ignore list (Synaptics Pointing Device Driver / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\Synaptics\SynTP\Tutorial.exe | Ignore list (Synaptics Pointing Device Tutorial / Synaptics, Inc. / 15.2.2031 )
C:\Program Files\TeraCopy\EnterKey.exe | Empty / Invalid version (EnterKey /  /  )
C:\Program Files\TeraCopy\tclinks.exe | Empty / Invalid version (tclinks /  /  )
C:\Program Files\TeraCopy\tcm.exe | Empty / Invalid version (tcm /  /  )
C:\Program Files\TeraCopy\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files\TortoiseHg\kdiff3.exe | Empty / Invalid version (kdiff3 (64 bits) /  /  )
C:\Program Files\Tracker Software\Live Update\LiveUpdate.exe | Installer / Uninstaller (PDF-XChange Live Update / Tracker Software Products Ltd. / 2.0.205.0 )
C:\Program Files\Tracker Software\PDF Viewer\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.52.0.0 )
C:\Program Files\Waterfox\uninstall\helper.exe | Installer / Uninstaller (Waterfox / waterfoxproj.sf.net / 14.0.1 )
C:\Program Files\Windows Defender\MpCmdRun.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Windows Defender\MSASCui.exe | Microsoft product support disabled (Windows Defender User Interface (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Windows Mail\wab.exe | Microsoft product support disabled (Windows Contacts (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files\Windows Mail\wabmig.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Windows Mail\WinMail.exe | Microsoft product support disabled (Windows Mail (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Windows Media Player\setup_wm.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\wmlaunch.exe | Microsoft product support disabled (Windows Media Player Launcher (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\wmpconfig.exe | Microsoft product support disabled (Windows Media Player Configuration (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\WMPDMC.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\wmpenc.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files\Windows Media Player\wmplayer.exe | Microsoft product support disabled (Windows Media Player (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\wmpnetwk.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\wmpnscfg.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files\Windows Media Player\wmprph.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files\Windows Media Player\wmpshare.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7601.17514 )
C:\Program Files\Windows Media Player\WMPSideShowGadget.exe | Microsoft product support disabled (Microsoft� Windows� Operating System (64 bits) / Microsoft Corporation / 12.0.7600.16385 )
C:\Program Files\Windows NT\Accessories\wordpad.exe | Microsoft product support disabled (Windows Wordpad (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files\Windows Photo Viewer\ImagingDevices.exe | Microsoft product support disabled (Imaging Devices Control Panel (64 bits) / Microsoft Corporation / 6.1.7600.16385 )
C:\Program Files\Windows Sidebar\sidebar.exe | Microsoft product support disabled (Windows Desktop Gadgets (64 bits) / Microsoft Corporation / 6.1.7601.17514 )
C:\Program Files\WinRAR\Uninstall.exe | Installer / Uninstaller (Uninstall WinRAR (64 bits) / Alexander Roshal / 4.20.0.0 )
C:\Program Files\WinVHD\unins000.exe | Installer / Uninstaller (Setup/Uninstall /  / 51.1052.0.0 )
errlst_TEST.txt (62,699 bytes)

bytehead

2012-08-21 03:53

reporter  

SUMo_test1.png (61,192 bytes)
SUMo_test1.png (61,192 bytes)

bytehead

2012-08-21 03:53

reporter  

SUMo_test2.png (50,230 bytes)
SUMo_test2.png (50,230 bytes)

Kyle_Katarn

2012-08-21 09:22

administrator   ~0001161

That's a good news. I'll post a news test build after fixing these glitches

Kyle_Katarn

2012-08-21 23:12

administrator   ~0001162

Would you please download it again (build 172) and tell me if it is now better ?

bytehead

2012-08-21 23:21

reporter   ~0001163

Beta download link doesn't seem to work for me.

Kyle_Katarn

2012-08-21 23:25

administrator   ~0001164

Problem with uploading... please retry in 5 minutes.

Kyle_Katarn

2012-08-21 23:31

administrator   ~0001165

Try this one : ftp://ftp2.kcsoftwares.com/kcsoftwa/beta/sumo_test.exe

bytehead

2012-08-21 23:36

reporter   ~0001166

Got it! Testing...

Kyle_Katarn

2012-08-21 23:44

administrator   ~0001167

Great!

bytehead

2012-08-22 00:24

reporter  

b172_issues.png (19,244 bytes)
b172_issues.png (19,244 bytes)

bytehead

2012-08-22 00:44

reporter   ~0001168

1) There's still an issues with SysNative strings being exposed and as a consequence double entries for Flash 64. Same problem for FFDShow.

All SysNative paths meant to be exposed (in GUI and logs) should be substituted with their System32 equivalents. I think internally there should be 2 parallel objects for storing paths, one for actual parsing, another one for presentation purposes, if that make sense.

2) Build 172 now always crashes after scan ("List index out of bounds"?) -- see screenshot.

bytehead

2012-08-22 00:44

reporter  

b172_crash_scr1.png (114,233 bytes)
b172_crash_scr1.png (114,233 bytes)

bytehead

2012-08-22 00:45

reporter  

b172_crash_scr2.png (126,019 bytes)
b172_crash_scr2.png (126,019 bytes)

Kyle_Katarn

2012-08-22 00:46

administrator   ~0001169

Thanks !

Duplcate probably come from build 171.
Please delete (but NO ignore) the sysnative lines and re-scan.

Is everything OK after that ?

bytehead

2012-08-22 00:52

reporter   ~0001170

Nope, it crashes immediately after scan is over. I deleted all 3 entries with sysnative (only from the list).

Kyle_Katarn

2012-08-22 00:56

administrator   ~0001171

Please attach SUMo log after crash

bytehead

2012-08-22 01:03

reporter   ~0001172

Here you go.

Kyle_Katarn

2012-08-22 01:04

administrator   ~0001173

Thanks

Kyle_Katarn

2012-08-22 01:15

administrator   ~0001174

Please post log with b173 : http://www.kcsoftwares.com/beta/sumo_test.exe

Won't fix bug but will give me clues.

bytehead

2012-08-22 01:22

reporter   ~0001175

Last edited: 2012-08-22 01:28

View 3 revisions

done.

P.S. I started out with an almost empty profile this time -- renamed "SUMo.skipped", "SUMo.cache" and "db.sumo" so that wizard came up. Still crashes on rescan.

bytehead

2012-08-22 01:33

reporter  

bytehead

2012-08-22 01:39

reporter   ~0001176

To go around this crash I've tried to check on a blank profile (without scanning at all) -- see attachment. How come only 64-bit variant of FFDshow is listed now? I would rather expect a SysWOW64 line there if only for a single entry.

Kyle_Katarn

2012-08-22 10:02

administrator   ~0001177

IT is now cristal clear ! I'm "internal" changing system32 to sysnative and then i look for the "new" name in the table of "old" names with the assumption that it is listed (no out of bound protection).

Concerning FFDShow 64bits only with blank profile : Please open a NEW issue for that (nice catch)

Kyle_Katarn

2012-08-22 10:52

administrator   ~0001178

Build 174 is ready : http://www.kcsoftwares.com/beta/sumo_test.exe

Please tell me if crash is fixed (if not, post log again)

Thank you !

bytehead

2012-08-22 15:07

reporter   ~0001179

Still crashes on a blank profile :( Exactly the same error. Log attached.

Kyle_Katarn

2012-08-22 16:05

administrator   ~0001180

Sorry, my mistake, fix was coded the bad way.

build 175 uploaded, fix and additionnal instrumentation.
Ready for test.
http://www.kcsoftwares.com/beta/sumo_test.exe

bytehead

2012-08-22 17:14

reporter   ~0001181

Seems OK to me -- no crashes, no sysnative strings, no doubled Flash components, JRE 32/64 is fine, too. Well, except for missing FFDShow 32 bit. Will open another bug report later.

Looks like the issue is resolved now. Was really a bitchy one! ;)

Kyle_Katarn

2012-08-22 17:42

administrator   ~0001182

Woohoo ! So happy to tag it "resolved".
Thank you for you help !

Kyle_Katarn

2012-08-23 09:39

administrator   ~0001183

Issue 1708 opened (FFDShow)

Issue History

Date Modified Username Field Change
2012-08-08 19:58 bytehead New Issue
2012-08-08 19:58 bytehead File Added: scr1_ff32+64_before.png
2012-08-08 19:59 bytehead File Added: scr2_ff32+64_after.png
2012-08-08 20:00 bytehead File Added: scr3_flash32+64.png
2012-08-08 20:00 bytehead File Added: scr4_flash32+64.png
2012-08-08 20:02 bytehead Steps to Reproduce Updated View Revisions
2012-08-08 20:03 bytehead Relationship added parent of 0001662
2012-08-08 20:04 bytehead Relationship added parent of 0001582
2012-08-08 20:05 bytehead Relationship added parent of 0001584
2012-08-08 20:14 bytehead File Added: SUMo_DB+log.zip
2012-08-08 20:15 bytehead Note Added: 0001049
2012-08-08 20:16 bytehead Steps to Reproduce Updated View Revisions
2012-08-08 20:38 poutnikg Note Added: 0001050
2012-08-08 20:40 poutnikg Note Edited: 0001050 View Revisions
2012-08-08 20:55 bytehead Note Added: 0001051
2012-08-08 20:57 bytehead Steps to Reproduce Updated View Revisions
2012-08-08 20:57 bytehead Steps to Reproduce Updated View Revisions
2012-08-08 20:58 bytehead Description Updated View Revisions
2012-08-08 21:45 Kyle_Katarn Note Added: 0001056
2012-08-08 21:45 Kyle_Katarn Assigned To => Kyle_Katarn
2012-08-08 21:45 Kyle_Katarn Status new => acknowledged
2012-08-08 22:23 bytehead Note Added: 0001058
2012-08-08 22:39 Kyle_Katarn Note Added: 0001060
2012-08-08 23:49 bytehead Relationship added parent of 0001650
2012-08-08 23:49 bytehead Relationship added parent of 0001607
2012-08-09 14:36 bytehead Relationship deleted parent of 0001650
2012-08-09 18:30 bytehead File Added: loading on start-up.png
2012-08-09 18:31 bytehead File Added: scanning.png
2012-08-09 18:31 bytehead File Added: loading_after_scan.png
2012-08-09 18:33 bytehead File Added: checking.png
2012-08-09 18:41 bytehead Description Updated View Revisions
2012-08-09 18:41 bytehead Steps to Reproduce Updated View Revisions
2012-08-09 18:47 bytehead Note Added: 0001071
2012-08-09 18:49 bytehead Note Edited: 0001071 View Revisions
2012-08-09 19:10 bytehead Note Added: 0001072
2012-08-09 23:55 Kyle_Katarn Note Added: 0001076
2012-08-15 14:11 bytehead Note Added: 0001116
2012-08-15 14:33 Kyle_Katarn Note Added: 0001117
2012-08-20 23:23 Kyle_Katarn Note Added: 0001158
2012-08-21 03:50 bytehead Note Added: 0001160
2012-08-21 03:53 bytehead File Added: errlst_TEST.txt
2012-08-21 03:53 bytehead File Added: SUMo_test1.png
2012-08-21 03:53 bytehead File Added: SUMo_test2.png
2012-08-21 03:56 bytehead Note Edited: 0001160 View Revisions
2012-08-21 03:58 bytehead Note Edited: 0001160 View Revisions
2012-08-21 09:22 Kyle_Katarn Note Added: 0001161
2012-08-21 23:12 Kyle_Katarn Note Added: 0001162
2012-08-21 23:21 bytehead Note Added: 0001163
2012-08-21 23:25 Kyle_Katarn Note Added: 0001164
2012-08-21 23:31 Kyle_Katarn Note Added: 0001165
2012-08-21 23:36 bytehead Note Added: 0001166
2012-08-21 23:44 Kyle_Katarn Note Added: 0001167
2012-08-22 00:24 bytehead File Added: b172_issues.png
2012-08-22 00:44 bytehead Note Added: 0001168
2012-08-22 00:44 bytehead File Added: b172_crash_scr1.png
2012-08-22 00:45 bytehead File Added: b172_crash_scr2.png
2012-08-22 00:46 Kyle_Katarn Note Added: 0001169
2012-08-22 00:52 bytehead Note Added: 0001170
2012-08-22 00:56 Kyle_Katarn Note Added: 0001171
2012-08-22 01:02 bytehead File Added: SUMo_b172.log
2012-08-22 01:03 bytehead Note Added: 0001172
2012-08-22 01:04 Kyle_Katarn Note Added: 0001173
2012-08-22 01:15 Kyle_Katarn Note Added: 0001174
2012-08-22 01:22 bytehead File Added: SUMo_b173.log
2012-08-22 01:22 bytehead Note Added: 0001175
2012-08-22 01:27 bytehead Note Edited: 0001175 View Revisions
2012-08-22 01:28 bytehead Note Edited: 0001175 View Revisions
2012-08-22 01:33 bytehead File Added: b173_check_with_blank_profile (no_scan).png
2012-08-22 01:39 bytehead Note Added: 0001176
2012-08-22 10:02 Kyle_Katarn Note Added: 0001177
2012-08-22 10:52 Kyle_Katarn Note Added: 0001178
2012-08-22 15:05 bytehead File Added: SUMo_b174.log
2012-08-22 15:07 bytehead Note Added: 0001179
2012-08-22 16:05 Kyle_Katarn Note Added: 0001180
2012-08-22 17:14 bytehead Note Added: 0001181
2012-08-22 17:42 Kyle_Katarn Note Added: 0001182
2012-08-22 17:42 Kyle_Katarn Status acknowledged => resolved
2012-08-22 17:42 Kyle_Katarn Fixed in Version => 3.4.4
2012-08-22 17:42 Kyle_Katarn Resolution open => fixed
2012-08-23 09:38 Kyle_Katarn Relationship added related to 0001708
2012-08-23 09:39 Kyle_Katarn Note Added: 0001183